function draw(x,color)
    xset("color",color);
    a=-R*x(1);
    xpoly([a,a+l*sin(x(2))],[0,l*cos(x(2))],"lines",1)  //pendule
    xpoly(a+R*cos(x(1)+0.00*%pi)*[-1,1],R*sin(x(1)+0.00*%pi)*[-1,1],"lines",0)  //rayon 1
    xpoly(a+R*cos(x(1)+0.25*%pi)*[-1,1],R*sin(x(1)+0.25*%pi)*[-1,1],"lines",0)  //rayon 2
    xpoly(a+R*cos(x(1)+0.50*%pi)*[-1,1],R*sin(x(1)+0.50*%pi)*[-1,1],"lines",0)  //rayon 3
    xpoly(a+R*cos(x(1)+0.75*%pi)*[-1,1],R*sin(x(1)+0.75*%pi)*[-1,1],"lines",0)  //rayon 4
    xarc(a-R,R,2*R,2*R,0,0);
endfunction;
//------------------------------------------------------
function xdot=f(x,u)
    den=mu1*mu2-(mu3*cos(x(2)))^2; c2=cos(x(2));s2=sin(x(2))
    xdot=[x(3);
          x(4);
         (1/den)*((-mu2*mu3*x(4)^2+mu3*mug*c2)*s2 + (mu2+mu3*c2)*u);	
         (1/den)*((-((mu3*x(4))^2)*c2+mu1*mug)*s2 + (mu1+mu3*c2)*u); ];
endfunction;
//------------------------------------------------------
xbasc();
wrect = [0 0 1 1];
frect=[-10 -8 10 8];
xsetech(wrect,frect);
m=1;M=5;l=4;g=10;u=0;
R=1;
mu1=(1.5*m+M)*R^2;
mu2=m*l^2;
mu3=m*R*l;
mug=m*g*l;
dt=0.015;
x=[0;0.1;-1.2;1];  //tat initial
for k=1:300
     x1=x+f(x,u)*dt;
     draw(x,8);
     draw(x1,0);
     x=x1;
end;
